# Class UnimplementedRequestProcessor

java.lang.Object
org.apache.zookeeper.server.UnimplementedRequestProcessor

All Implemented Interfaces:
  `RequestProcessor`

public class UnimplementedRequestProcessor extends Object implements RequestProcessor
Manages the unknown requests (i.e. unknown OpCode), by: - sending back the KeeperException.UnimplementedException() error code to the client - closing the connection.

## Nested Class Summary

### Nested classes/interfaces inherited from interface RequestProcessor

`RequestProcessor.RequestProcessorException`

## Constructor Summary

Constructors
Constructor
Description
`UnimplementedRequestProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processRequest(Request request)`
`void`
`shutdown()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnimplementedRequestProcessor

public UnimplementedRequestProcessor()

## Method Details

### processRequest

public void processRequest(Request request) throws RequestProcessor.RequestProcessorException

Specified by:
  `processRequest` in interface `RequestProcessor`
Throws:
  `RequestProcessor.RequestProcessorException`

### shutdown

public void shutdown()

Specified by:
  `shutdown` in interface `RequestProcessor`